Debian Bug report logs - #453042
sysvinit-utils: please add option to killall5 to ignore some processes

version graph

Package: sysvinit-utils; Maintainer for sysvinit-utils is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for sysvinit-utils is src:sysvinit.

Reported by: Tilman Koschnick <til@subnetz.org>

Date: Mon, 26 Nov 2007 22:24:02 UTC

Severity: wishlist

Tags: patch

Found in version sysvinit/2.86.ds1-38.1

Fixed in versions sysvinit/2.86.ds1-39, sysvinit/2.86.ds1-46

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, til@subnetz.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#453042; Package sysvinit-utils. Full text and rfc822 format available.

Acknowledgement sent to Tilman Koschnick <til@subnetz.org>:
New Bug report received and forwarded. Copy sent to til@subnetz.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tilman Koschnick <til@subnetz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sysvinit-utils: please add option to killall5 to ignore some processes
Date: Mon, 26 Nov 2007 23:22:12 +0100
[Message part 1 (text/plain, inline)]
Package: sysvinit-utils
Version: 2.86.ds1-38.1
Severity: wishlist
Tags: patch

Hi,

please consider adding an option to killall5 that allows certain
processes to survive a killall5 invocation.

My usecase is a diskless client with the root filesystem on a network
block device (NBD). A userland process (nbd-client) is required for the
device to work; this process needs to stay around until just before
shutdown.

The same would apply to filesystems mounted via eNBD (enhanced NBD),
iSCSI and probably other methods.

I have a possible solution attached; please let me know what you think
of that approach or if you would know of a better method.

Cheers, Til
[92_killall5_omitpid.dpatch (application/x-shellscript, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#453042; Package sysvinit-utils. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 453042@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Tilman Koschnick <til@subnetz.org>, 453042@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#453042: sysvinit-utils: please add option to killall5 to ignore some processes
Date: Mon, 26 Nov 2007 23:45:55 +0100
tags 453042 + pending
thanks

[Tilman Koschnick]
> please consider adding an option to killall5 that allows certain
> processes to survive a killall5 invocation.

A fix for this is already commited to svn.  Just waiting for more
testing before I make a new release.

If you got time, please test the new sysvinit version.  The source is
available from
<URL: svn+ssh://svn.debian.org/svn/pkg-sysvinit/sysvinit/trunk >.

Happy hacking,
-- 
Petter Reinholdtsen




Tags added: pending Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Mon, 26 Nov 2007 22:54:07 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tilman Koschnick <til@subnetz.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 453042-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 453042-close@bugs.debian.org
Subject: Bug#453042: fixed in sysvinit 2.86.ds1-39
Date: Sat, 22 Dec 2007 17:02:10 +0000
Source: sysvinit
Source-Version: 2.86.ds1-39

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.86.ds1-39_i386.deb
  to pool/main/s/sysvinit/initscripts_2.86.ds1-39_i386.deb
sysv-rc_2.86.ds1-39_all.deb
  to pool/main/s/sysvinit/sysv-rc_2.86.ds1-39_all.deb
sysvinit-utils_2.86.ds1-39_i386.deb
  to pool/main/s/sysvinit/sysvinit-utils_2.86.ds1-39_i386.deb
sysvinit_2.86.ds1-39.diff.gz
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-39.diff.gz
sysvinit_2.86.ds1-39.dsc
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-39.dsc
sysvinit_2.86.ds1-39_i386.deb
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-39_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453042@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 22 Dec 2007 17:49:42 +0100
Source: sysvinit
Binary: sysv-rc sysvinit-utils sysvinit initscripts
Architecture: source i386 all
Version: 2.86.ds1-39
Distribution: experimental
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - Scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 407211 423095 431224 433386 453042 454468
Changes: 
 sysvinit (2.86.ds1-39) experimental; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Upload to experimental to get more feedback from testers.
   * Change checkfs.sh dependency info, make modutils an optional
     dependency as it is no longer installed by default.
   * Move /etc/init.d/bootclean to /lib/init/bootclean, as it is not an
     init.d script but a library.
   * Acknowledge NMU. (Closes: #433386)
   * Make /lib/init/vars.sh usable when 'set -e' is in effect.  Patch
     from Ubuntu.
   * Rename 20_pidof.dpatch to 80_killall_pidof.dpatch, to group the
     killall5 patches together.
   * New patch 82_killall_exclude_pids.dpatch adding new option -o
     to killall5, to omit killing the pid given on the command line.
     Based on patch from Ubuntu. (Closes: #453042)
   * Use new killall5 -o option in init.d/sendsigs, reading pids to
     omit from /var/run/sendsigs.omit.  This make it possible to list
     pids there if the process is required to umount the file systems
     during shutdown.  Make initscripts depend on sysvinit-utils
     (>= 2.86.ds1-39) to make sure killall5 support the -o option.
     Based on patch from Ubuntu.
   * Stop progress bar on ltsp-client-core too.  The script was renamed
     in recent ltsp versions.  Based on patch from Ubuntu.
   * Add linux-gnulp to debian/deps-mount, to get the correct behaviour
     with regard to initscripts dependencies on lpia.  Patch from Adam
     Conrad in Ubuntu.
   * Add splash screen / progress bar API to initscripts in
     /lib/init/splash-functions-base, overridable by the splash
     implementations in /lib/init/splash-functions.  Based on patch
     from David Härdeman. (Closes: #423095)  Make initscripts conflict
     with usplash (<< 0.5) to make sure a version with PULSATE support
     is used.
   * Rewrite init.d/rc progress bar support to use new API.  Move
     usplash calls to separate file splash-functions-usplash.  This
     file should be moved to the usplash package. Based on patch from
     David Härdeman.
   * Do not mount gfs2 as a local file system.  It is a network file system.
     Patch from  Guido Guenther (Closes: #454468).
   * Modify update-rc.d to refuse to install init.d scripts with illegal
     characters in the names.  Only accept [a-zA-Z0-9+.-] to match the
     limits on package names.  Correct handling of init.d scripts with
     + in their name (Closes: #431224).
 .
   [ Henrique de Moraes Holschuh ]
   * libata shutdown handling fixes:
     Check http://linux-ata.org/shutdown.html for information
     * init.d/halt: do not issue -h to halt(8) when the kernel supports
       auto-shutdown
     * init.d/halt, default/halt: add HDDOWN option to override initscript
       halt -h logic
   * Add halt(5) manpage, updated for HDDOWN. Thanks to Casper Gielen for
     the manpage. (Closes: #407211)
Files: 
 dcb880520b5d485d890df8f9e5553f70 968 admin required sysvinit_2.86.ds1-39.dsc
 e6ab55ab30e87f14bdca090c46e66f7b 138217 admin required sysvinit_2.86.ds1-39.diff.gz
 8f447b939e49672f114cacefb3e8e981 106076 admin required sysvinit_2.86.ds1-39_i386.deb
 23c8e956fa1cd46267e973b4efe3709e 65650 admin required sysvinit-utils_2.86.ds1-39_i386.deb
 d769f7a4352e9df0ea859f94cd7d95af 62106 admin required initscripts_2.86.ds1-39_i386.deb
 3db6e2a3a94654cba631966af02c0e19 56940 admin required sysv-rc_2.86.ds1-39_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHbUG120zMSyow1ykRAjUiAKDWqNUXoC3GSfnJCBwrol+3HI66vQCeKsV2
J8IQAQ4jOLP9mk0JcRS5bYM=
=6ehA
-----END PGP SIGNATURE-----





Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tilman Koschnick <til@subnetz.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 453042-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 453042-close@bugs.debian.org
Subject: Bug#453042: fixed in sysvinit 2.86.ds1-46
Date: Sun, 30 Dec 2007 09:47:03 +0000
Source: sysvinit
Source-Version: 2.86.ds1-46

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.86.ds1-46_i386.deb
  to pool/main/s/sysvinit/initscripts_2.86.ds1-46_i386.deb
sysv-rc_2.86.ds1-46_all.deb
  to pool/main/s/sysvinit/sysv-rc_2.86.ds1-46_all.deb
sysvinit-utils_2.86.ds1-46_i386.deb
  to pool/main/s/sysvinit/sysvinit-utils_2.86.ds1-46_i386.deb
sysvinit_2.86.ds1-46.diff.gz
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-46.diff.gz
sysvinit_2.86.ds1-46.dsc
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-46.dsc
sysvinit_2.86.ds1-46_i386.deb
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-46_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453042@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 30 Dec 2007 10:32:52 +0100
Source: sysvinit
Binary: sysv-rc sysvinit-utils sysvinit initscripts
Architecture: source i386 all
Version: 2.86.ds1-46
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - Scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 268713 382410 386959 388525 390404 406393 407211 416223 418596 419195 423095 426071 426224 428823 430814 431224 432511 432511 432750 433119 433359 433378 433386 434177 450543 452384 453042 454468 457544 457847
Changes: 
 sysvinit (2.86.ds1-46) unstable; urgency=low
 .
   * Move from experimental to unstable.
   * Remove debug code from init.d/mountoverflowtmp that was included
     by mistake.
   * Reduce output from init.d/mountoverflowtmp when VERBOSE!=yes.
   * Add $all as a dependency for init.d/single, to make sure it is
     started last in runlevel 1.
   * Change runlevel setting in LSB header for init.d/rmnologin and
     init.d/stop-bootlogd to not start in runlevel 1 (single user).
     This reflect the current and correct setting specified in the
     postinst.
   * Remove redundant $local_fs dependency from init.d/bootmisc.sh,
     init.d/rc.local, init.d/rmnologin and init.d/skeleton
   * Move /lib/init/bootclean to /lib/init/bootclean.sh and source it
     instead of running it.
 .
 sysvinit (2.86.ds1-45) experimental; urgency=low
 .
   * Replace log_daemon_msg() in init.d/rc with log_action_msg() to
     improve visual layout when parallel booting is enabled.
   * Avoid using startpar for rcS.d/.  It does not work properly before
     ptys are available.  Related to bug #457896.
   * Correct init.d/rc progress bar calculations for the startpar
     option, counting each script that is started in parallel too.
   * Patch startpar to not print exit codes for each subprocess, to
     reduce the noise during boot.
   * Remove usplash progress bar support from initscripts and use the
     API hook file provided by usplash version 0.5.8-2 instead.  Add
     conflict on earlier versions of usplash.
 .
 sysvinit (2.86.ds1-44) experimental; urgency=low
 .
   * Add debian/watch file pointing to ftp.cistron.nl.
   * Change init.d/mountnfs.sh dependencies to list nfs-common in
     should-start (Closes: #433359).
   * Change init.d/umountnfs.sh dependencies to list nfs-common in
     should-start too.
   * Mount a 1 MiB tmpfs on /tmp if /tmp is otherwise less than
     1 MiB to make sure one can still log in when /tmp/ is too
     full (Closes: #430814).  Based on patch from Ian Jackson and Ubuntu.
   * Rewrote ifup.d/mountnfs to wait for all 'auto' interfaces to be
     initialized before trying to mount network file systems (Closes:
     #386959, #390404, #418596, #419195, #426071, #428823, #432511,
     #432511, #432750, #433119, #434177).  Based on patch from Phil
     Snowdon.
 .
 sysvinit (2.86.ds1-43) experimental; urgency=low
 .
   * Fix typo in /etc/network/if-up.d/mountnfs fstab option parsing used to
     detect kerberos v5. (Closes: #416223)
   * Update sysv-rc documentation based on text and suggestions
     from Alessandro Vesely (Closes: #382410).
   * Modify rules to install /lib/init/bootclean with the execute flag
     set (Closes: 457847).
 .
 sysvinit (2.86.ds1-42) experimental; urgency=low
 .
   * Change XS-Vcs-Svn to Vcs-Svn as the control flags are official now.
   * Add Vcs-Browser flag in debian/control, documenting the browsable source.
   * Change how init.d/rc call scripts, to make sure sourced scripts
     get the correct argument.
   * Reduce redundant code in init.d/rc, to make it easier to enable
     sourcing of *.sh scripts.  It is still not possible to source
     scripts, as some of them use exit and terminate the boot.  This is
     related to bug #339955.
 .
 sysvinit (2.86.ds1-41) experimental; urgency=low
 .
   * Update standards-version from 3.7.2 to 3.7.3.  No change needed.
   * Remove empty /lib/ directory from the sysvinit and sysvinit-utils
     packages.
   * Remove the empty /usr/share/man/man5/ from the sysv-rc package.
   * Remove the registration of init.d/modutils from
     initscripts/postinst, as the package is removed from Debian.
 .
 sysvinit (2.86.ds1-40) experimental; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Rewrite libata shutdown handling to use patch from
     Werner Fink at SuSe to handle each disk individually and
     automatically instead of guessing in the init.d script how
     to handle them collectively (Closes: #426224).  This removes
     the HDDOWN variable from /etc/default/halt.
   * Improve usage information in update-rc.d by using the same
     notation as the one used in the manual page (Closes: #268713)
   * Implement noswap kernel boot option to stop automatic
     swap activation at boot time (Closes: #388525).  Based on patch
     from Michael Prokop.
   * Rewrite init.d/rc to use shell features instead of calling sed
     (Closes: #406393).  Patch from Ivan Baldo.
   * Fix typo in update-rc.d example code (Closes: #433378).
   * Fix minor typo in rc*.d/README files (Closes: #452384).
   * Make sure init.d/rc do not complain because the new progress bar
     API is unavailable (Closes: #457544).
   * New patch 26_last_ipv6 from Fedora to recognize more IPv6
     addresses.
   * Extend the 68_init_quiet patch based on patch from Fedora to also
     suppress the "Switching to runlevel" message.  This patch is
     currently disabled because the 'quiet' flag is removed by the
     kernel when init is called.
   * New patch 69_init_waiting from Fedora to make sure the init
     waiting status is preserved across re-exec.
   * New patch 41_utmp_64bit from Fedora to avoid writing past the
     utmp.ut_tv struct on 64 bit architectures. (Closes: #450543)
   * New patch 64_init_init_reexec_env from Fedora to fix typo.  Now
     passes environment on to the new process when re-exec is used.
 .
 sysvinit (2.86.ds1-39) experimental; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Upload to experimental to get more feedback from testers.
   * Change checkfs.sh dependency info, make modutils an optional
     dependency as it is no longer installed by default.
   * Move /etc/init.d/bootclean to /lib/init/bootclean, as it is not an
     init.d script but a library.
   * Acknowledge NMU. (Closes: #433386)
   * Make /lib/init/vars.sh usable when 'set -e' is in effect.  Patch
     from Ubuntu.
   * Rename 20_pidof.dpatch to 80_killall_pidof.dpatch, to group the
     killall5 patches together.
   * New patch 82_killall_exclude_pids.dpatch adding new option -o
     to killall5, to omit killing the pid given on the command line.
     Based on patch from Ubuntu. (Closes: #453042)
   * Use new killall5 -o option in init.d/sendsigs, reading pids to
     omit from /var/run/sendsigs.omit.  This make it possible to list
     pids there if the process is required to umount the file systems
     during shutdown.  Make initscripts depend on sysvinit-utils
     (>= 2.86.ds1-39) to make sure killall5 support the -o option.
     Based on patch from Ubuntu.
   * Stop progress bar on ltsp-client-core too.  The script was renamed
     in recent ltsp versions.  Based on patch from Ubuntu.
   * Add linux-gnulp to debian/deps-mount, to get the correct behaviour
     with regard to initscripts dependencies on lpia.  Patch from Adam
     Conrad in Ubuntu.
   * Add splash screen / progress bar API to initscripts in
     /lib/init/splash-functions-base, overridable by the splash
     implementations in /lib/init/splash-functions.  Based on patch
     from David Härdeman. (Closes: #423095)  Make initscripts conflict
     with usplash (<< 0.5) to make sure a version with PULSATE support
     is used.
   * Rewrite init.d/rc progress bar support to use new API.  Move
     usplash calls to separate file splash-functions-usplash.  This
     file should be moved to the usplash package. Based on patch from
     David Härdeman.
   * Do not mount gfs2 as a local file system.  It is a network file system.
     Patch from  Guido Guenther (Closes: #454468).
   * Modify update-rc.d to refuse to install init.d scripts with illegal
     characters in the names.  Only accept [a-zA-Z0-9+.-] to match the
     limits on package names.  Correct handling of init.d scripts with
     + in their name (Closes: #431224).
 .
   [ Henrique de Moraes Holschuh ]
   * libata shutdown handling fixes:
     Check http://linux-ata.org/shutdown.html for information
     * init.d/halt: do not issue -h to halt(8) when the kernel supports
       auto-shutdown
     * init.d/halt, default/halt: add HDDOWN option to override initscript
       halt -h logic
   * Add halt(5) manpage, updated for HDDOWN. Thanks to Casper Gielen for
     the manpage. (Closes: #407211)
Files: 
 03396a1de224da3130b001c7499070e6 1037 admin required sysvinit_2.86.ds1-46.dsc
 98de971fe372de9565573ba43e2d200f 144876 admin required sysvinit_2.86.ds1-46.diff.gz
 8f55898df9abcade5cd3d67c81a4561c 108262 admin required sysvinit_2.86.ds1-46_i386.deb
 cadb869a2107a6026f9e5f8909b1febc 67320 admin required sysvinit-utils_2.86.ds1-46_i386.deb
 44b1c81fd85ea9fcf0e662b8d31bab07 63540 admin required initscripts_2.86.ds1-46_i386.deb
 3897385f9e877665fa1f895b61518203 58692 admin required sysv-rc_2.86.ds1-46_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHd2ZM20zMSyow1ykRAsNvAKCtYtkl81tFqxbBQOuPD9jCrgOoegCg4jpC
6aod02+6J9vCZPkVeTYVF78=
=Kgtc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 Jan 2008 07:29:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:29:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.